/* Copyright 2006-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.codehaus.groovy.grails.plugins.springsecurity;

import org.springframework.security.authentication.dao.SaltSource;
import org.springframework.security.core.userdetails.UserDetails;

/**
 * Dummy salt source that's used as the default salt source in the Spring config. Allows
 * users to easily replace in resources.groovy.
 *
 * @author <a href='mailto:burt@burtbeckwith.com'>Burt Beckwith</a>
 */
public class NullSaltSource implements SaltSource {

	/**
	 * {@inheritDoc}
	 * @see org.springframework.security.authentication.dao.SaltSource#getSalt(
	 * 	org.springframework.security.core.userdetails.UserDetails)
	 */
	public Object getSalt(final UserDetails user) {
		return null;
	}
}
